---
title: Firefox 81 for developers
slug: Mozilla/Firefox/Releases/81
tags:
  - '81'
  - Firefox
  - Mozilla
  - Release
---
<p>{{FirefoxSidebar}}</p>

<p class="summary">This article provides information about the changes in Firefox 81 that will affect developers. Firefox 81 was released on September 22, 2020.</p>

<h2 id="Changes_for_web_developers">Changes for web developers</h2>

<h3 id="Developer_Tools">Developer Tools</h3>

<ul>
 <li>The <a href="/en-US/docs/Tools/Debugger">Debugger</a> now uses the TypeScript icon for <code>.ts</code> and <code>.tsx</code> files ({{bug(1642769)}}). Previously a generic file icon was used.</li>
 <li>We've added support for line wrapping in the <a href="/en-US/docs/Tools/Debugger/UI_Tour#Source_pane">Debugger source pane</a> ({{bug(1590885)}}).</li>
 <li>We've removed unnecessary <a href="/en-US/docs/Tools/Accessibility_inspector/Simulation">color vision simulations</a> (protanomaly, deuteranomaly, and tritanomaly) from the <a href="/en-US/docs/Tools/Accessibility_inspector">Accessibility Inspector</a>, and added a simulation for achromatopsia (no color) ({{bug(1655053)}}).</li>
 <li>Autocompletion is now supported when adding a <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_and_edit_CSS#Viewing_and_changing_classes_on_an_element">class to an element</a>. Offered classes are based on existing classes in the document ({{bug(1492797)}}).</li>
</ul>

<h3 id="HTML">HTML</h3>

<ul>
 <li>Automatic downloads are now blocked in a sandboxed <code><a href="/en-US/docs/Web/HTML/Element/iframe">&lt;iframe&gt;</a></code> element ({{bug(1558394)}}).</li>
</ul>

<h4 id="Removals">Removals</h4>

<ul>
 <li>Support for the non-standard <code>mozallowfullscreen</code> attribute has been removed from <code><a href="/en-US/docs/Web/HTML/Element/iframe">&lt;iframe&gt;</a></code>. Consider using <code>allow="fullscreen"</code> instead ({{bug(1657599)}}).</li>
</ul>

<h3 id="CSS">CSS</h3>

<ul>
 <li>We now support the value of <code>clip</code> for the {{CSSxRef("overflow")}} property, via renaming <code>overflow: -moz-hidden-unscrollable</code> ({{bug(1531609)}}).</li>
 <li>The {{CSSxRef("text-combine-upright")}} property has been made non-animatable to comply with the spec ({{bug(1654195)}}).</li>
</ul>

<h4 id="Removals_2">Removals</h4>

<ul>
 <li>The non-standard {{CSSxRef("::-moz-focus-outer")}} <a href="/en-US/docs/Web/CSS/Pseudo-elements">pseudo-element</a> has been removed ({{bug(1655859)}}).</li>
</ul>

<h3 id="JavaScript">JavaScript</h3>

<p><em>No changes.</em></p>

<h3 id="HTTP">HTTP</h3>

<ul>
 <li>Firefox now accepts non-standard <code><a href="/en-US/docs/Web/HTTP/Headers/Content-Disposition">Content-Disposition</a></code> headers with a unquoted filename containing spaces ({{bug(1440677)}}).</li>
 <li>Firefox now supports the HTTP <code><a href="/en-US/docs/Web/HTTP/Headers/Feature-Policy">Feature-Policy</a></code> header's <code><a href="/en-US/docs/Web/HTTP/Headers/Feature-Policy/web-share">web-share</a></code> directive, which can be used to restrict access to the <a href="/en-US/docs/Web/API/Navigator/share">Web Share API</a> to trusted origins. Note that Firefox does not support the Web Share API itself, at time of writing ({{bug(1653199)}}).</li>
</ul>

<h3 id="APIs">APIs</h3>

<h4 id="Gamepad">Gamepad</h4>

<ul>
 <li>The threshold for gamepad joystick activation has been increased. This reduces the chance of inadvertant gamepad activation, both from controllers that send small axis values when they are idle, and very small bumps. ({{bug(1539178)}})</li>
</ul>

<h4 id="WorkersService_workers">Workers/Service workers</h4>

<ul>
 <li>Strict MIME type checks are now enforced on worker and shared worker scripts, i.e. scripts targetted by the {{domxref("Worker.Worker()", "Worker()")}} and {{domxref("SharedWorker.SharedWorker()", "SharedWorker()")}} constructors must now be served with <code>text/javascript</code> ({{bug(1569123)}}).</li>
</ul>

<h3 id="WebDriver_conformance_Marionette">WebDriver conformance (Marionette)</h3>

<ul>
 <li>The <code>setWindowRect</code> capability is now <code>true</code> by default for all desktop applications (including Thunderbird), and <code>false</code> on Android for GeckoView ({{bug(1650872)}}).</li>
 <li>We've added Fission support for the following commands: <code>WebDriver:SwitchToFrame</code>, <code>WebDriver:SwitchToParentFrame</code>, <code>WebDriver:GetCurrentURL</code>. All Fission-compatible commands are only available when <code>marionette.actors.enabled</code> is set to <code>true</code>.</li>
 <li>Fixed the broken tracking of browsing contexts after opening a new window ({{bug(1661495)}}).</li>
 <li>In case of failures <code>WebDriver:SwitchToWindow</code> now always returns a unified <code>NoSuchWindowError</code> ({{bug(1663429)}}).</li>
</ul>

<h4 id="Removals_3">Removals</h4>

<ul>
 <li><code>WebDriver:GetActiveFrame</code> has been removed, because it's not part of the WebDriver specification and is no longer used ({{bug(1659502)}}).</li>
</ul>

<h2 id="Changes_for_add-on_developers">Changes for add-on developers</h2>

<ul>
 <li><code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/tabs/saveAsPDF">tabs.saveAsPDF()</a></code> is now supported on macOS ({{bug(1653354)}}).</li>
 <li>The behavior of <code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/webNavigation/getFrame">webNavigation.getFrame()</a></code> and <code><a href="/en-US/docs/Mozilla/Add-ons/WebExtensions/API/webNavigation/getAllFrames">webNavigation.getAllFrames()</a></code> has changed. Moving forward, when a tab is discarded the promise will fulfill with a <code>null</code> value ({{bug(1654842)}}).</li>
</ul>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://www.fxsitecompat.com/en-CA/versions/81/">Site compatibility for Firefox 81</a></li>
</ul>

<h2 id="Older_versions">Older versions</h2>

<p>{{Firefox_for_developers(80)}}</p>
